org.tmatesoft.svn.core.wc2

## Interface ISvnAddParameters

    public interface ISvnAddParameters

Represents callback that invokes when inconsistent EOLs are found in text files being scheduled for addition.

In other words, if a text file is scheduled for addition and an autoproperty `SVNProperty.EOL_STYLE` is set on a file that will cause an exception on files with inconsistent EOLs. In this case if the caller has provided his `ISvnAddParameters` its method `onInconsistentEOLs(File file)` will be called for that file. This method returns `Action` value. According to the return value the file may be added as-is, as binary or addition may be cancelled and an exception may be thrown indicating an error.

Since:
  1.2
Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  `SvnScheduleForAddition`

### Nested Class Summary

Nested Classes
`static class` `ISvnAddParameters.Action` Describes an action add operation should undertake in case of a inconsistent EOLs.

### Field Summary

Fields
`static ISvnAddParameters` `DEFAULT` Default add parameters, `action` equals to `Action.REPORT_ERROR`

### Method Summary

Methods
`ISvnAddParameters.Action` `onInconsistentEOLs(java.io.File file)` Receives a file with inconsistent EOLs and returns an action which should be performed against this file.

### Field Detail

#### DEFAULT

    static final ISvnAddParameters DEFAULT

Default add parameters, `action` equals to `Action.REPORT_ERROR`

### Method Detail

#### onInconsistentEOLs

    ISvnAddParameters.Action onInconsistentEOLs(java.io.File file)

Receives a file with inconsistent EOLs and returns an action which should be performed against this file. It should be one of the three constant values predefined in this interface.

Parameters:
  `file` - file path
Returns:
  action to perform on the given file